#!/usr/bin/python

from twisted.internet import reactor
from twisted.spread import pb

from sam.net import Server
from sam import ft, session

def woot(session, text):
    print text

class MySession(session.ClientSession, session.FileCSM, session.CallableCSM):
    pass

if __name__ == "__main__":
    servers = [Server("localhost", pb.portno)]

    for srv in servers:
        session = srv.getsession(MySession)
        session.sendfile("/etc/hosts", "remotecopy")
        session.getfile("/etc/passwd", "localcopy")
        session.getfile("/etc/hosts", "localcopy")
        session.call(woot, "Done with Session.")

	reactor.run()
