from twisted.spread import pb, sturdy
from twisted.python import log

from sam import ft, session

def samconnect(host, port):
    return sturdy.PerspectiveConnector(host, port,
                "guest", "secret",
                "sam", "filetransfer", 1)

class Server:
    perspective = None
    def __init__(self, host, port=pb.portno):
        self.host = host
        self.port = port

        self.perspective = samconnect(self.host, self.port)

    def getsession(self, sessionclass):
		return sessionclass(self.perspective.callRemote("getsession"))
